﻿Public Class Form1

    Private ReadOnly TransImage As New TranscodeImage

    Private Const ImageFile As String = "C:\Test\test.webp"

    Private Sub Form1_Load(sender As Object, e As EventArgs) Handles Me.Load

        PictureBox1.BackgroundImageLayout = ImageLayout.Center

    End Sub

    Private Sub Button1_Click(sender As Object, e As EventArgs) Handles Button1.Click

        ' Optional:
        ' NewImageWidthHeight: > 0 Bild wird proportional skaliert 
        '                      = 0 Originaldimensionen des Bildes werden verwendet 
        Using bmp As Bitmap = TransImage.LoadImage(ImageFile, CUInt(Math.Min(PictureBox1.Width, PictureBox1.Height)))

            If bmp IsNot Nothing Then

                If PictureBox1.BackgroundImage IsNot Nothing Then PictureBox1.BackgroundImage.Dispose()

                PictureBox1.BackgroundImage = New Bitmap(bmp)

                Debug.Print("Ok")

            Else

                Debug.Print("Not Ok")

            End If

        End Using

    End Sub

    Private Sub Button2_Click(sender As Object, e As EventArgs) Handles Button2.Click

        ' Optional:
        ' ConvertTo: Konvertiert nach BMP oder JPG (Default: BMP)
        ' NewImageWidthHeight: > 0 Bild wird proportional skaliert
        '                      = 0 Originaldimensionen des Bildes werden verwendet 
        ' 
        ' Der Original Dateiname wird ersetzt durch 'Name der Datei' & '_converted_to' & 'entsprechender Extension (je nach TI_FLAGS)'
        ' und im gleichen Pfad abgespeichert wo sich das Original befindet. Vorhandene Dateien werden ohne Nachfrage überschrieben!
        If TransImage.ConvertImage(ImageFile, TranscodeImage.TI_FLAGS.TI_JPEG) Then

            Debug.Print("Ok")

        Else

            Debug.Print("Not Ok")

        End If

    End Sub

End Class
